{"models":[{"endpoint_id":"fal-ai/pixverse/v3.5/transition","metadata":{"display_name":"PixVerse V3.5 Transition","category":"image-to-video","description":"Create seamless transition between images using PixVerse v3.5","status":"active","tags":[],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v3.5/transition","license_type":"commercial","date":"2025-04-01T02:35:42.865Z","group":{"key":"pixverse","label":"Transition"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v3.5/transition","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v3.5/transition queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v3.5/transition","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v3.5/transition","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v3.5/transition/api","about":"Create Transition"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV35TransitionInput":{"title":"TransitionRequest","properties":{"first_image_url":{"description":"URL of the image to use as the first frame","title":"First Image Url","type":"string","examples":["https://v3.fal.media/files/zebra/owQh2DAzk8UU7J02nr5RY_Co2P4boLv6meIZ5t9gKvL_8685da151df343ab8bf82165c928e2a5.jpg"]},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"prompt":{"description":"The prompt for the transition. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["Scene slowly transition into cat swimming under water"]},"aspect_ratio":{"default":"16:9","title":"Aspect Ratio","enum":["16:9","4:3","1:1","3:4","9:16"],"type":"string","description":"The aspect ratio of the generated video"},"negative_prompt":{"default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt","type":"string","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"]},"duration":{"default":"5","title":"Duration","enum":["5","8"],"type":"string","description":"The duration of the generated video in seconds"},"style":{"title":"Style","anyOf":[{"enum":["anime","3d_animation","clay","comic","cyberpunk"],"type":"string"},{"type":"null"}],"description":"The style of the generated video"},"end_image_url":{"description":"URL of the image to use as the last frame","examples":["https://v3.fal.media/files/kangaroo/RgedFs_WSnq5BgER7qDx1_ONrbTJ1YAGXz-9JnSsBoB_bdc8750387734bfe940319f469f7b0b2.jpg"],"title":"End Image Url","type":"string"},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p","1080p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt","first_image_url","end_image_url"],"type":"object","x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","negative_prompt","style","seed","first_image_url","end_image_url"]},"PixverseV35TransitionOutput":{"title":"TransitionOutput","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":3890360,"url":"https://fal.media/files/panda/5KmKS-mh1vO-htbqE5oex_output.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v3.5/transition/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v3.5/transition/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v3.5/transition":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV35TransitionInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v3.5/transition/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV35TransitionOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/cosmos-predict-2.5/image-to-video","metadata":{"display_name":"Cosmos Predict 2.5 2B","category":"image-to-video","description":"Generate video from text and images using NVIDIA's 2B Cosmos Post-Trained Model","status":"active","tags":[],"updated_at":"2026-04-28T16:38:35.130Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8fcd1d/bqbrB-KoKCNBQG4jEOeZm_ee4d331bf9504f38b7d2ebd823275578.jpg","model_url":"https://fal.run/fal-ai/cosmos-predict-2.5/image-to-video","license_type":"commercial","date":"2026-02-24T20:00:23.313Z","group":{"key":"cosmos-2.5","label":"Image to Video"},"highlighted":false,"kind":"inference","duration_estimate":7,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/cosmos-predict-2.5/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/cosmos-predict-2.5/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/cosmos-predict-2.5/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8fcd1d/bqbrB-KoKCNBQG4jEOeZm_ee4d331bf9504f38b7d2ebd823275578.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/cosmos-predict-2.5/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/cosmos-predict-2.5/image-to-video/api","about":"Generate a video from an image and text prompt using Cosmos Predict 2.5 2B (post-trained)."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"CosmosPredict25ImageToVideoInput":{"title":"ImageToVideoInput","required":["prompt","image_url"],"properties":{"num_inference_steps":{"title":"Number of Inference Steps","default":35,"type":"integer","maximum":50,"description":"Number of denoising steps. More steps yield higher quality but take longer.","minimum":1},"num_frames":{"title":"Number of Frames","default":93,"type":"integer","maximum":93,"description":"Number of frames to generate. Must be between 9 and 93.","minimum":9},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducible generation."},"sync_mode":{"title":"Sync Mode","default":false,"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","type":"boolean"},"prompt":{"title":"Prompt","description":"The text prompt describing the video to generate.","type":"string","examples":["A static, locked-off camera frames an industrial conveyor belt steadily transporting rough rocks through a dimly lit quarry processing facility. The belt runs horizontally across the center of the frame, its thick black rubber surface textured with dust and fine gravel. Jagged gray and brown stones of varying sizes tumble forward in a slow, continuous motion, their sharp edges catching the light. Subtle vibrations ripple through the belt’s surface as small pebbles bounce and shift. In the background, blurred steel beams, pipes, and muted industrial machinery create depth without distraction. Cool, diffused overhead lighting casts soft shadows and highlights the gritty textures, emphasizing dust particles in the air and the raw, rugged surfaces of the rocks."]},"negative_prompt":{"title":"Negative Prompt","default":"The video captures a series of frames showing ugly scenes, static with no motion, motion blur, over-saturation, shaky footage, low resolution, grainy texture, pixelated images, poorly lit areas, underexposed and overexposed scenes, poor color balance, washed out colors, choppy sequences, jerky movements, low frame rate, artifacting, color banding, unnatural transitions, outdated special effects, fake elements, unconvincing visuals, poorly edited content, jump cuts, visual noise, and flickering. Overall, the video is of poor quality.","description":"A negative prompt to guide generation away from undesired content.","type":"string"},"guidance_scale":{"title":"Guidance Scale","default":7,"type":"number","maximum":20,"description":"Classifier-free guidance scale. Higher values increase prompt adherence.","minimum":1},"video_quality":{"title":"Video Quality","default":"high","enum":["low","medium","high","maximum"],"description":"The quality of the output video.","type":"string"},"image_url":{"title":"Image URL","description":"URL of the input image to use as first frame.","type":"string","examples":["https://v3b.fal.media/files/b/0a8fc99c/rOav2GLXy0psA9R43CQO2_c6c3b762e7f846fcab0a7bbf124eb03b.jpg"]},"video_output_type":{"title":"Video Output Type","default":"X264 (.mp4)","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"],"description":"The format of the output video.","type":"string"}},"type":"object","x-fal-order-properties":["prompt","negative_prompt","num_frames","num_inference_steps","guidance_scale","seed","sync_mode","video_output_type","video_quality","image_url"]},"CosmosPredict25ImageToVideoOutput":{"title":"VideoOutput","required":["video","seed"],"properties":{"video":{"description":"The generated video file.","examples":[{"url":"https://v3b.fal.media/files/b/0a8fabc5/qAi19s0dSuQHDZ3O7D_HV_FkSwbls1.mp4","content_type":"video/mp4"}],"$ref":"#/components/schemas/VideoFile"},"seed":{"title":"Seed","description":"The random seed used for generation.","type":"integer"}},"type":"object","x-fal-order-properties":["video","seed"]},"VideoFile":{"title":"VideoFile","required":["url"],"properties":{"num_frames":{"title":"Num Frames","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video"},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"duration":{"title":"Duration","anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video"},"fps":{"title":"Fps","anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video"},"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]},"width":{"title":"Width","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video"},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]},"height":{"title":"Height","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video"}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"]}}},"paths":{"/fal-ai/cosmos-predict-2.5/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/cosmos-predict-2.5/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/cosmos-predict-2.5/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CosmosPredict25ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/cosmos-predict-2.5/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CosmosPredict25ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v5.6/transition","metadata":{"display_name":"PixVerse V5.6 Transition","category":"image-to-video","description":"Use the latest pixverse v5.6 model to turn your texts and images into amazing videos.","status":"active","tags":["image-to-video"],"updated_at":"2026-07-01T04:16:58.685Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8bf6c6/5g6zE3Sjy-aR-GBc8DhWT_603ad74d67aa47b68cab750e1cf9b5a6.jpg","model_url":"https://fal.run/fal-ai/pixverse/v5.6/transition","license_type":"commercial","date":"2026-01-26T17:28:03.386Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v5.6/transition","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v5.6/transition queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v5.6/transition","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8bf6c6/5g6zE3Sjy-aR-GBc8DhWT_603ad74d67aa47b68cab750e1cf9b5a6.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v5.6/transition","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v5.6/transition/api","about":"Create Transition V5 6"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV56TransitionInput":{"title":"TransitionRequestV5_6","properties":{"first_image_url":{"description":"URL of the image to use as the first frame","title":"First Image Url","type":"string","examples":["https://v3.fal.media/files/zebra/owQh2DAzk8UU7J02nr5RY_Co2P4boLv6meIZ5t9gKvL_8685da151df343ab8bf82165c928e2a5.jpg"]},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"prompt":{"description":"The prompt for the transition. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["Scene slowly transition into cat swimming under water"]},"aspect_ratio":{"default":"16:9","title":"Aspect Ratio","enum":["16:9","4:3","1:1","3:4","9:16"],"type":"string","description":"The aspect ratio of the generated video"},"negative_prompt":{"default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt","type":"string","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"]},"duration":{"default":"5","title":"Duration","enum":["5","8","10"],"type":"string","description":"The duration of the generated video in seconds. 1080p videos are limited to 5 or 8 seconds"},"style":{"title":"Style","anyOf":[{"enum":["anime","3d_animation","clay","comic","cyberpunk"],"type":"string"},{"type":"null"}],"description":"The style of the generated video"},"end_image_url":{"description":"URL of the image to use as the last frame","examples":["https://v3.fal.media/files/kangaroo/RgedFs_WSnq5BgER7qDx1_ONrbTJ1YAGXz-9JnSsBoB_bdc8750387734bfe940319f469f7b0b2.jpg"],"title":"End Image Url","type":"string"},"generate_audio_switch":{"default":false,"description":"Enable audio generation (BGM, SFX, dialogue)","title":"Generate Audio Switch","type":"boolean"},"thinking_type":{"title":"Thinking Type","anyOf":[{"enum":["enabled","disabled","auto"],"type":"string"},{"type":"null"}],"description":"Prompt optimization mode: 'enabled' to optimize, 'disabled' to turn off, 'auto' for model decision"},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p","1080p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt","first_image_url","end_image_url"],"type":"object","x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","negative_prompt","style","seed","generate_audio_switch","thinking_type","first_image_url","end_image_url"]},"PixverseV56TransitionOutput":{"title":"TransitionOutputV5_5","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":3890360,"url":"https://storage.googleapis.com/falserverless/model_tests/video_models/output-2.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v5.6/transition/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5.6/transition/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v5.6/transition":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV56TransitionInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5.6/transition/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV56TransitionOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/minimax/video-01-director/image-to-video","metadata":{"display_name":"MiniMax (Hailuo AI) Video 01 Director - Image to Video","category":"image-to-video","description":"Generate video clips more accurately with respect to initial image, natural language descriptions, and using camera movement instructions for shot control.","status":"active","tags":["motion","transformation","camera-controls"],"updated_at":"2026-04-21T17:52:14.662Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/red_clouds.jpg","model_url":"https://fal.run/fal-ai/minimax/video-01-director/image-to-video","date":"2025-02-24T00:00:00.000Z","group":{"key":"minimax-video","label":"I2V-01 Director (Camera Control)"},"highlighted":false,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/minimax/video-01-director/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/minimax/video-01-director/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/minimax/video-01-director/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/red_clouds.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/minimax/video-01-director/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/minimax/video-01-director/image-to-video/api","about":"Hailuo I2V-01-Director API: Image-to-video generation with precise camera control for cinematic storytelling"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"MinimaxVideo01DirectorImageToVideoInput":{"x-fal-order-properties":["prompt","image_url","prompt_optimizer"],"title":"ImageToVideoDirectorRequest","properties":{"image_url":{"title":"Image Url","examples":["https://storage.googleapis.com/falserverless/model_tests/wan/dragon-warrior.jpg"],"type":"string","description":"URL of the image to use as the first frame"},"prompt":{"title":"Prompt","examples":["[Push in, Follow]A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage. She wears a black leather jacket, a long red dress, and black boots, and carries a black purse.[Pan left] The street opens into a small plaza where street vendors sell steaming food under colorful awnings."],"maxLength":2000,"type":"string","description":"Text prompt for video generation. Camera movement instructions can be added using square brackets (e.g. [Pan left] or [Zoom in]). You can use up to 3 combined movements per prompt. Supported movements: Truck left/right, Pan left/right, Push in/Pull out, Pedestal up/down, Tilt up/down, Zoom in/out, Shake, Tracking shot, Static shot. For example: [Truck left, Pan right, Zoom in]. For a more detailed guide, refer https://sixth-switch-2ac.notion.site/T2V-01-Director-Model-Tutorial-with-camera-movement-1886c20a98eb80f395b8e05291ad8645"},"prompt_optimizer":{"title":"Prompt Optimizer","type":"boolean","description":"Whether to use the model's prompt optimizer","default":true}},"type":"object","required":["prompt","image_url"]},"MinimaxVideo01DirectorImageToVideoOutput":{"x-fal-order-properties":["video"],"title":"I2VDirectorOutput","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/web-examples/minimax/i2v-01.mp4"}],"description":"The generated video"}},"type":"object","required":["video"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]}},"type":"object","required":["url"]}}},"paths":{"/fal-ai/minimax/video-01-director/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/video-01-director/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/minimax/video-01-director/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxVideo01DirectorImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/video-01-director/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxVideo01DirectorImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/framepack/flf2v","metadata":{"display_name":"Framepack","category":"image-to-video","description":"Framepack is an efficient Image-to-video model that autoregressively generates videos.","status":"active","tags":["image to video","motion"],"updated_at":"2026-04-21T17:47:43.436Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Sound-5.jpg","model_url":"https://fal.run/fal-ai/framepack/flf2v","license_type":"commercial","date":"2025-04-22T20:06:23.895Z","group":{"key":"framepack","label":"First-to-Last-Frame"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/framepack/flf2v","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/framepack/flf2v queue.","x-fal-metadata":{"endpointId":"fal-ai/framepack/flf2v","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Sound-5.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/framepack/flf2v","documentationUrl":"https://fal.ai/models/fal-ai/framepack/flf2v/api","about":"Generate Video Flf2V Endpoint"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"FramepackFlf2vInput":{"x-fal-order-properties":["prompt","negative_prompt","image_url","seed","aspect_ratio","resolution","cfg_scale","guidance_scale","num_frames","enable_safety_checker","end_image_url","strength"],"type":"object","title":"FramePackF2LFRequest","required":["prompt","image_url","end_image_url"],"properties":{"seed":{"description":"The seed to use for generating the video.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed"},"guidance_scale":{"default":10,"description":"Guidance scale for the generation.","type":"number","title":"Guidance Scale","minimum":0,"maximum":32},"image_url":{"examples":["https://storage.googleapis.com/falserverless/web-examples/wan_flf/first_frame.png"],"description":"URL of the image input.","type":"string","title":"Image Url"},"prompt":{"examples":["A tabby cat is confidely strolling toward the camera, when it spins and with a flash of magic reveals itself to be a cat-dragon hybrid with glistening amber scales."],"description":"Text prompt for video generation (max 500 characters).","type":"string","title":"Prompt"},"resolution":{"default":"480p","enum":["720p","480p"],"description":"The resolution of the video to generate. 720p generations cost 1.5x more than 480p generations.","type":"string","title":"Resolution"},"end_image_url":{"examples":["https://storage.googleapis.com/falserverless/web-examples/wan_flf/last_frame.png"],"description":"URL of the end image input.","type":"string","title":"End Image Url"},"enable_safety_checker":{"default":false,"examples":[true],"description":"If set to true, the safety checker will be enabled.","type":"boolean","title":"Enable Safety Checker"},"aspect_ratio":{"default":"16:9","enum":["16:9","9:16"],"description":"The aspect ratio of the video to generate.","type":"string","title":"Aspect Ratio (W:H)"},"negative_prompt":{"default":"","examples":["Ugly, blurry distorted, bad quality"],"description":"Negative prompt for video generation.","type":"string","title":"Negative Prompt"},"strength":{"default":0.8,"description":"Determines the influence of the final frame on the generated video. Higher values result in the output being more heavily influenced by the last frame.","type":"number","title":"Strength of last frame","minimum":0,"maximum":1},"cfg_scale":{"default":1,"description":"Classifier-Free Guidance scale for the generation.","type":"number","title":"CFG Scale","minimum":0,"maximum":7},"num_frames":{"default":240,"description":"The number of frames to generate.","type":"integer","title":"Number of Frames","minimum":30,"maximum":1800}}},"FramepackFlf2vOutput":{"x-fal-order-properties":["video","seed"],"type":"object","title":"FramePackFLF2VResponse","required":["video","seed"],"properties":{"seed":{"description":"The seed used for generating the video.","type":"integer","title":"Seed"},"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/flf2v.mp4"}]}}},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object","title":"File","required":["url"],"properties":{"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_name":{"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"},"content_type":{"examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"},"file_size":{"examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size"}}}}},"paths":{"/fal-ai/framepack/flf2v/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/framepack/flf2v/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/framepack/flf2v":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FramepackFlf2vInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/framepack/flf2v/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FramepackFlf2vOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v3.5/image-to-video","metadata":{"display_name":"PixVerse V3.5 Image To Video","category":"image-to-video","description":"Generate high quality video clips from text and image prompts using PixVerse v3.5","status":"active","tags":[],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v3.5/image-to-video","license_type":"commercial","date":"2025-01-29T00:00:00.000Z","group":{"key":"pixverse","label":"Image to Video"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v3.5/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v3.5/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v3.5/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v3.5/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v3.5/image-to-video/api","about":"Image To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV35ImageToVideoInput":{"title":"ImageToVideoRequest","properties":{"style":{"title":"Style","anyOf":[{"enum":["anime","3d_animation","clay","comic","cyberpunk"],"type":"string"},{"type":"null"}],"description":"The style of the generated video"},"image_url":{"description":"URL of the image to use as the first frame","title":"Image Url","type":"string","examples":["https://storage.googleapis.com/falserverless/model_tests/wan/dragon-warrior.jpg"]},"prompt":{"description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage."]},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"negative_prompt":{"default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt","type":"string","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"]},"duration":{"default":"5","title":"Duration","enum":["5","8"],"type":"string","description":"The duration of the generated video in seconds. 8s videos cost double. 1080p videos are limited to 5 seconds"},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p","1080p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt","image_url"],"type":"object","x-fal-order-properties":["prompt","resolution","duration","negative_prompt","style","seed","image_url"]},"PixverseV35ImageToVideoOutput":{"title":"I2VOutput","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":4060052,"url":"https://fal.media/files/tiger/8V9H8RLyFiWjmJDOxGbcG_output.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v3.5/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v3.5/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v3.5/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV35ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v3.5/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV35ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/magi-distilled/image-to-video","metadata":{"display_name":"MAGI-1 (Distilled)","category":"image-to-video","description":"MAGI-1 distilled generates videos faster from images with exceptional understanding of physical interactions and prompting","status":"active","tags":["image-to-video"],"updated_at":"2026-04-21T17:51:47.495Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/for%20videos-2.jpg","model_url":"https://fal.run/fal-ai/magi-distilled/image-to-video","license_type":"commercial","date":"2025-04-23T02:26:54.535Z","group":{"key":"magi","label":"Image-to-Video (Distilled)"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/magi-distilled/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/magi-distilled/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/magi-distilled/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/for%20videos-2.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/magi-distilled/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/magi-distilled/image-to-video/api","about":"Generate a video from an image."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"MagiDistilledImageToVideoInput":{"properties":{"image_url":{"examples":["https://raw.githubusercontent.com/painebenjamin/pointy-seeds/refs/heads/main/captain-start.jpg"],"description":"URL of the input image to represent the first frame of the video. If the input image does not match the chosen aspect ratio, it is resized and center cropped.","title":"Image Url","type":"string"},"num_frames":{"anyOf":[{"minimum":96,"maximum":192,"type":"integer"},{"type":"null"}],"description":"Number of frames to generate. Must be between 96 and 192 (inclusive). Each additional 24 frames beyond 96 incurs an additional billing unit.","title":"Num Frames","default":96},"prompt":{"examples":["Close-up shot: the old sea captain stares intently, pipe in mouth, wisps of smoke curling around his weathered face. The camera begins to pull back out over the ocean. Finally, the camera sinks below the waves deeply, fading to dark blue and finally to black."],"description":"The text prompt to guide video generation.","title":"Prompt","type":"string"},"aspect_ratio":{"default":"auto","description":"Aspect ratio of the generated video. If 'auto', the aspect ratio will be determined automatically based on the input image.","enum":["auto","16:9","9:16","1:1"],"title":"Aspect Ratio","type":"string"},"num_inference_steps":{"default":16,"description":"Number of inference steps for sampling. Higher values give better quality but take longer.","enum":[4,8,16,32],"title":"Num Inference Steps","type":"integer"},"enable_safety_checker":{"examples":[true],"default":true,"description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","type":"boolean"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed"},"resolution":{"default":"720p","description":"Resolution of the generated video (480p or 720p). 480p is 0.5 billing units, and 720p is 1 billing unit.","enum":["480p","720p"],"title":"Resolution","type":"string"}},"required":["prompt","image_url"],"title":"MagiImageToVideoRequest","x-fal-order-properties":["prompt","image_url","num_frames","seed","resolution","num_inference_steps","enable_safety_checker","aspect_ratio"],"type":"object"},"MagiDistilledImageToVideoOutput":{"properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://v3.fal.media/files/zebra/3XmM6yIGZEWxwbbDyTkhw_391bee80-b756-425d-b74c-f9083c7eec4f.mp4"}],"description":"The generated video file."},"seed":{"description":"The seed used for generation.","title":"Seed","type":"integer"}},"required":["video","seed"],"title":"MagiImageToVideoResponse","x-fal-order-properties":["video","seed"],"type":"object"},"File":{"properties":{"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"}},"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/magi-distilled/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/magi-distilled/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/magi-distilled/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MagiDistilledImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/magi-distilled/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MagiDistilledImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-quality/image-to-video/lora","metadata":{"display_name":"Ltx 2.3 Quality","category":"image-to-video","description":"Generate high-quality video with audio from images using LTX-2.3 and custom LoRA","status":"active","tags":["image-to-video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9c981b/fVP1qFZOIhu1Ax7KwLjxm_SoTIpz7e.png","model_url":"https://fal.run/fal-ai/ltx-2.3-quality/image-to-video/lora","license_type":"commercial","date":"2026-06-01T20:59:12.797Z","group":{"key":"ltx-2.3-quality","label":"Image to Video with LoRA"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx23-trainer-v2/i2v","fal-ai/ltx23-video-trainer"]},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-quality/image-to-video/lora","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-quality/image-to-video/lora queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-quality/image-to-video/lora","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9c981b/fVP1qFZOIhu1Ax7KwLjxm_SoTIpz7e.png","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/image-to-video/lora","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/image-to-video/lora/api","about":"Image-to-video with up to 3 user-supplied LoRAs."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx23QualityImageToVideoLoraInput":{"description":"Image-to-video + user-supplied LoRAs.","properties":{"loras":{"maxItems":3,"title":"LoRAs","type":"array","description":"Up to 3 LoRAs to apply on top of LTX-2.3. Each path is downloaded through the registry SSRF-safe downloader before it is loaded. Max size: 3 GB per LoRA.","items":{"$ref":"#/components/schemas/LoRAInput"}},"frames_per_second":{"description":"Frames per second of the generated video.","minimum":1,"type":"number","maximum":60,"default":24,"title":"FPS"},"seed":{"description":"Random seed for reproducibility. If None, a random seed is chosen.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed"},"num_frames":{"description":"The number of frames to generate.","type":"integer","maximum":481,"minimum":9,"default":121,"title":"Number of Frames"},"video_write_mode":{"description":"The write mode of the generated video.","enum":["fast","balanced","small"],"type":"string","default":"balanced","title":"Video Write Mode"},"prompt":{"description":"The prompt to guide the video generation.","examples":["A woman stands still amid a busy neon-lit street at night. The camera slowly dollies in toward her face as people blur past, their motion emphasizing her calm presence."],"type":"string","title":"Prompt"},"video_quality":{"description":"The quality preset of the generated video.","enum":["low","medium","high","maximum"],"type":"string","default":"high","title":"Video Quality"},"resolution":{"description":"The size of the generated video. 'auto' derives the size from the input image aspect ratio.","anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"default":"auto","title":"Resolution"},"sync_mode":{"description":"If True, the media is returned as a data URI inline in the response. Useful for short-lived requests and tests.","type":"boolean","default":false,"title":"Sync Mode"},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","type":"boolean","default":true,"title":"Enable Prompt Expansion"},"negative_prompt":{"description":"The negative prompt to steer generation away from.","type":"string","default":"color distortion, overexposure, static, blurry details, subtitles, style, artwork, painting, frame, still, dim overall tone, worst quality, low quality, JPEG compression artifacts, ugly, mutilated, extra fingers, poorly drawn hands, poorly drawn face, deformed, disfigured, malformed limbs, fused fingers, motionless frame, cluttered background, three legs, crowded background, walking backwards","title":"Negative Prompt"},"image_strength":{"description":"Conditioning strength on the start image. 1.0 = exact first-frame match, lower = more freedom for the model.","minimum":0,"type":"number","maximum":1,"default":0.7,"title":"Image Strength"},"num_inference_steps":{"description":"Number of inference steps. Defaults to 15 and can be increased up to 30.","minimum":8,"type":"integer","maximum":30,"default":15,"title":"Number of Inference Steps"},"generate_audio":{"description":"Whether to include audio in the returned video. When disabled, the final MP4 is returned without an audio track.","type":"boolean","default":true,"title":"Generate Audio"},"guidance_scale":{"description":"Classifier-free guidance scale. The default is tuned for fast, high-quality generation.","minimum":1,"type":"number","maximum":20,"default":1,"title":"Guidance Scale"},"enable_safety_checker":{"description":"Whether to enable the safety checker.","type":"boolean","default":true,"title":"Enable Safety Checker"},"image_url":{"description":"The URL of the starting image.","examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-2-i2v-input.jpg"],"type":"string","title":"Image URL"}},"type":"object","required":["loras","prompt","image_url"],"x-fal-order-properties":["prompt","image_url","num_frames","resolution","frames_per_second","num_inference_steps","guidance_scale","generate_audio","image_strength","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_quality","video_write_mode","sync_mode","loras"],"title":"LTX23QualityLoRAImageToVideoInput"},"Ltx23QualityImageToVideoLoraOutput":{"description":"Standard output for every endpoint on this app.","properties":{"video":{"description":"The generated video.","$ref":"#/components/schemas/File"},"seed":{"description":"The seed actually used for generation.","type":"integer","title":"Seed"},"prompt":{"description":"The prompt used for generation (after any expansion).","type":"string","title":"Prompt"}},"type":"object","required":["video","seed","prompt"],"x-fal-order-properties":["video","seed","prompt"],"title":"LTX23QualityOutput"},"LoRAInput":{"description":"A single LoRA to apply on top of the LTX-2.3 base model.\n\nLoaded at request time through the registry SSRF-safe downloader.","properties":{"path":{"description":"Direct HTTP(S) download URL of the LoRA file (.safetensors). The file is downloaded through an SSRF-safe downloader before it is loaded. Max size: 3 GB.","maxLength":2048,"type":"string","examples":["https://example.com/path/to/lora.safetensors"],"title":"Path"},"transformer":{"description":"Forward-compatibility flag for multi-transformer architectures. LTX-2.3 has a single transformer, so 'both' is the right choice for almost all users.","enum":["high","low","both"],"type":"string","default":"both","title":"Transformer"},"scale":{"description":"Strength of the LoRA application (0.0 to 2.0). Higher values = stronger effect on the generated video.","minimum":0,"type":"number","maximum":2,"default":1,"title":"Scale"}},"type":"object","required":["path"],"x-fal-order-properties":["path","scale","transformer"],"title":"LoRAInput"},"ImageSize":{"properties":{"width":{"description":"The width of the generated image.","type":"integer","maximum":14142,"exclusiveMinimum":0,"default":512,"title":"Width"},"height":{"description":"The height of the generated image.","type":"integer","maximum":14142,"exclusiveMinimum":0,"default":512,"title":"Height"}},"type":"object","x-fal-order-properties":["width","height"],"title":"ImageSize"},"File":{"properties":{"content_type":{"description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"},"file_size":{"description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size"},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"}},"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File"}}},"paths":{"/fal-ai/ltx-2.3-quality/image-to-video/lora/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/image-to-video/lora/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-quality/image-to-video/lora":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityImageToVideoLoraInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/image-to-video/lora/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityImageToVideoLoraOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-quality/ingredient","metadata":{"display_name":"Ltx 2.3 Quality","category":"image-to-video","description":"Generate high-quality video with audio from reference, character sheet, storyboard using LTX-2.3","status":"active","tags":["ingredient","storyboard","video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9ed9c6/wZu25U8DGi5RA-AFBsH-T_25fea6b72edc4b6ba45e1fea25be1bfc.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3-quality/ingredient","license_type":"commercial","date":"2026-06-18T23:41:35.508Z","group":{"key":"ltx-2.3-quality","label":"Ingredient"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-quality/ingredient","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-quality/ingredient queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-quality/ingredient","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9ed9c6/wZu25U8DGi5RA-AFBsH-T_25fea6b72edc4b6ba45e1fea25be1bfc.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/ingredient","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/ingredient/api","about":"Generate video from an Ingredient reference sheet."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx23QualityIngredientInput":{"description":"Image-to-video generation conditioned on an Ingredient reference sheet.","properties":{"frames_per_second":{"description":"Frames per second of the generated video.","minimum":1,"type":"number","maximum":60,"default":24,"title":"FPS"},"seed":{"description":"Random seed for reproducibility. If None, a random seed is chosen.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed"},"num_frames":{"description":"The number of frames to generate.","type":"integer","maximum":481,"minimum":9,"default":121,"title":"Number of Frames"},"video_write_mode":{"description":"The write mode of the generated video.","enum":["fast","balanced","small"],"type":"string","default":"balanced","title":"Video Write Mode"},"prompt":{"description":"The prompt to guide the generated video. For best results, use a 'Reference sheet: ... Generated video: ...' structure.","examples":["Reference sheet: a chef in a white jacket, a copper pan, fresh basil, and a bright studio kitchen. Generated video: the chef tosses pasta in the copper pan, steam rising, cinematic food commercial."],"type":"string","title":"Prompt"},"video_quality":{"description":"The quality preset of the generated video.","enum":["low","medium","high","maximum"],"type":"string","default":"high","title":"Video Quality"},"resolution":{"description":"The final generated video size. The default keeps the workflow's first stage at the Ingredient LoRA's trained 768x448 bucket before the official 2x refinement stage.","anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"default":{"width":1536,"height":896},"title":"Resolution"},"sync_mode":{"description":"If True, the media is returned as a data URI inline in the response. Useful for short-lived requests and tests.","type":"boolean","default":false,"title":"Sync Mode"},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","type":"boolean","default":true,"title":"Enable Prompt Expansion"},"negative_prompt":{"description":"The negative prompt to steer generation away from.","type":"string","default":"worst quality, inconsistent motion, blurry, jittery, distorted","title":"Negative Prompt"},"generate_audio":{"description":"Whether to include audio in the returned video. When disabled, the final MP4 is returned without an audio track.","type":"boolean","default":true,"title":"Generate Audio"},"reference_strength":{"description":"Strength of the reference-sheet guide. 1.0 uses the sheet fully; lower values give the model more freedom.","minimum":0,"type":"number","maximum":2,"default":1,"title":"Reference Strength"},"guidance_scale":{"description":"Classifier-free guidance scale.","minimum":1,"type":"number","maximum":20,"default":1,"title":"Guidance Scale"},"enable_safety_checker":{"description":"Whether to enable the safety checker.","type":"boolean","default":true,"title":"Enable Safety Checker"},"image_url":{"description":"URL of the Ingredient reference sheet image. The sheet should contain clean panels for the characters, props, and location to preserve.","examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-2-i2v-input.jpg"],"type":"string","title":"Image URL"},"ingredient_strength":{"description":"Strength of the built-in Ingredient IC-LoRA. Higher values make the reference sheet identities and props more dominant.","minimum":0,"type":"number","maximum":2,"default":1,"title":"Ingredient Strength"}},"type":"object","required":["prompt","image_url"],"x-fal-order-properties":["prompt","image_url","num_frames","resolution","frames_per_second","guidance_scale","ingredient_strength","reference_strength","generate_audio","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_quality","video_write_mode","sync_mode"],"title":"LTX23QualityIngredientInput"},"Ltx23QualityIngredientOutput":{"description":"Standard output for every endpoint on this app.","properties":{"video":{"description":"The generated video.","$ref":"#/components/schemas/File"},"seed":{"description":"The seed actually used for generation.","type":"integer","title":"Seed"},"prompt":{"description":"The prompt used for generation (after any expansion).","type":"string","title":"Prompt"}},"type":"object","required":["video","seed","prompt"],"x-fal-order-properties":["video","seed","prompt"],"title":"LTX23QualityOutput"},"ImageSize":{"properties":{"width":{"description":"The width of the generated image.","type":"integer","maximum":14142,"exclusiveMinimum":0,"default":512,"title":"Width"},"height":{"description":"The height of the generated image.","type":"integer","maximum":14142,"exclusiveMinimum":0,"default":512,"title":"Height"}},"type":"object","x-fal-order-properties":["width","height"],"title":"ImageSize"},"File":{"properties":{"content_type":{"description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"},"file_size":{"description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size"},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"}},"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File"}}},"paths":{"/fal-ai/ltx-2.3-quality/ingredient/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/ingredient/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-quality/ingredient":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityIngredientInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/ingredient/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityIngredientOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v4.5/image-to-video/fast","metadata":{"display_name":"PixVerse V4.5 Image To Video Fast","category":"image-to-video","description":"Generate fast high quality video clips from text and image prompts using PixVerse v4.5","status":"active","tags":["stylized","transform"],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v4.5/image-to-video/fast","license_type":"commercial","date":"2025-05-15T15:55:20.848Z","group":{"key":"pixverse-45","label":"Image to Video v4.5 (Fast)"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v4.5/image-to-video/fast","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v4.5/image-to-video/fast queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v4.5/image-to-video/fast","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/image-to-video/fast","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/image-to-video/fast/api","about":"Image To Video Fast V4 5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV45ImageToVideoFastInput":{"title":"FastImageToVideoRequestV4","properties":{"style":{"title":"Style","anyOf":[{"enum":["anime","3d_animation","clay","comic","cyberpunk"],"type":"string"},{"type":"null"}],"description":"The style of the generated video"},"camera_movement":{"title":"Camera Movement","anyOf":[{"enum":["horizontal_left","horizontal_right","vertical_up","vertical_down","zoom_in","zoom_out","crane_up","quickly_zoom_in","quickly_zoom_out","smooth_zoom_in","camera_rotation","robo_arm","super_dolly_out","whip_pan","hitchcock","left_follow","right_follow","pan_left","pan_right","fix_bg"],"type":"string"},{"type":"null"}],"description":"The type of camera movement to apply to the video"},"prompt":{"description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["A woman warrior with her hammer walking with his glacier wolf."]},"image_url":{"description":"URL of the image to use as the first frame","title":"Image Url","type":"string","examples":["https://v3.fal.media/files/zebra/qL93Je8ezvzQgDOEzTjKF_KhGKZTEebZcDw6T5rwQPK_output.png"]},"negative_prompt":{"default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt","type":"string","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"]},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt","image_url"],"type":"object","x-fal-order-properties":["prompt","resolution","negative_prompt","style","seed","image_url","camera_movement"]},"PixverseV45ImageToVideoFastOutput":{"title":"I2VOutputV4","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":6420765,"url":"https://fal.media/files/koala/HEWK7BBwqWrz7F5nAZzp7_output.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v4.5/image-to-video/fast/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/image-to-video/fast/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v4.5/image-to-video/fast":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45ImageToVideoFastInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/image-to-video/fast/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45ImageToVideoFastOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MjA","has_more":true}
